package de.Thiesyy.FridaysForFuture.Utils;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.mysql.cj.jdbc.exceptions.MysqlDataTruncation;


public class DB{

	private Connection con;
	private String server = "mrbesen.de";
	private int port = 3306;
	private String user = "thiesyy";
	private String pw;
	private String db = "spamforfuturebot";
	

	public DB(String pw) {
			this.pw = pw;
			connect(false);
	}

	
	public boolean isconnected() throws SQLException {
		return !con.isClosed() && con != null;
	}
	private void connect(boolean selectdb) {
		try {
			Class.forName("com.mysql.cj.jdbc.Driver");//Treiber laden  try this driver: com.mysql.cj.jdbc.Driver
			//verbinden
			con = DriverManager.getConnection("jdbc:mysql://" + server + ":" + port + "/" + (selectdb ? db : "") + "?serverTimezone=UTC&useSSL=false" ,user,pw);
			
		}catch (ClassNotFoundException | SQLException e) {
		}
	}


	public ResultSet query(String q) {
		try {
			if(con.isClosed()) {
				connect(true);
			}
			return con.prepareStatement(q).executeQuery();
		} catch (SQLException e) {
			
		}
		return null;//ERROR!
	}
	public void update(String q) {
		try {
			if(con.isClosed()) {
				connect(true);
			}
			con.prepareStatement(q).executeUpdate();
		} catch (MysqlDataTruncation ignore) {
		} catch (SQLException e) {
		}
	}

}